{% extends 'reports/base.html' %}
{% load crm_utils %}

{% load static %}
{% block content %}

    {% block page_heading %}
        <div class="container-fluid">
            <div class="d-sm-flex flex-column">
                <div class="row">
                    <div class="col page-header">
                        <h1 class="h3 text-center text-md-left  mb-0 text-gray-800">{{ heading }}</h1>
                    </div>
                    <div class="col-md-2">
                        <div class="page-actions">
                            <button class="btn btn-success mr-4 mb-2" data-toggle="modal" data-target="#cashboxCreate">Создать отчет</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        {% include 'utils/page_actions/create_report_cashbox_modal.html' with modal_id="cashboxCreate" modal_title="Создать отчет Касса" form=create_form action_url="reports:make_incoming_report"|reverso %}
        {% endblock %}
        <div class="container-fluid">
        <div class="card shadow mb-4">
            <div class="card-header py-3">
              <h6 class="m-0 font-weight-bold text-primary"></h6>
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                  <thead>
                    <tr>
                      <th>Дата создания отчета</th>
                      <th>Общий доход</th>
                      <th>Пользователь</th>
                      <th>Филиал</th>
                      <th>Период</th>
                      <th>Действия</th>
                    </tr>
                  </thead>
                  <tbody>
                  {% for data in report_data %}
                      {% include 'reports/modals/cashbox_info.html' with report_id=data.id created=data.created user=data.user departament=data.departament period=data.get_period_display date_to=data.date_to date_from=data.date_from %}
                    <tr>
                    <td>{{ data.created }}</td>
                    <td>{{ data.get_total_money_count.sum }}</td>
                    <td>{{ data.user }}</td>
                    <td>
                        {% if data.departament is None %}
                            Все
                        {% else %}
                            {{ data.departament }}
                        {% endif %}
                    </td>
                    {% if data.get_period_display == "CUSTOM" %}
                    <td id="custom-period-{{ data.id }}" data-container="body" data-toggle="popover" data-placement="top" data-content="Дата с: {{ data.date_from }}; ### Дата по: {{ data.date_to }};">
                            Произвольный период
                    </td>
                        <script>
                            $(document).ready(function(){
                                $('#custom-period-{{ data.id }}').mouseover(function () {
                                    $('#custom-period-{{ data.id }}').popover('show')
                                })
                                .mouseout(function () {
                                    $('#custom-period-{{ data.id }}').popover('hide')
                                })
                            })
                        </script>

                        {% else %}
                        <td>
                            {{ data.get_period_display }}
                        </td>

                        {% endif %}
                    <td>
                        <a href="{% url 'reports:incoming_money_report_detail' data.id %}">
                            <i class="fa fa-eye"></i>
                        </a>
                    </td>

                    </tr>
                  {% endfor %}
                  </tbody>
                </table>

        </div>

                <style>
                    .page-actions {
                        display: flex;
                        justify-content: flex-end;
                    }
                </style>

    <script type="application/javascript">
    $(document).ready(function () {

        $('#id_date_to').datepicker({
        autoclose: true,
        todayHighlight: true,
    });
        $('#id_date_from').datepicker({
        autoclose: true,
        todayHighlight: true,
    });
        $('#id_current_day').datepicker({
        autoclose: true,
        todayHighlight: true,
        weekStart: 1,
        startView: 1,
        maxViewMode: 1,
    });
    })
    </script>

{% endblock %}

{% block custom_includes %}
    {{ block.super }}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.7.1/css/bootstrap-datepicker.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.7.1/js/bootstrap-datepicker.min.js"></script>


{% endblock %}